#!/bin/bash

#Identifies process ID for the running instance of Touch and gets the
#DBUS_SESSION_BUS_ADDRESS for the calling application

#find the PID of the TOUCH application
PID=$(ps aux | grep [T]ouch | awk '{print $2}')

#search the environment for what we need
#strip off the variable name
grep -z DBUS_SESSION_BUS_ADDRESS= /proc/"$PID"/environ | sed s/DBUS_SESSION_BUS_ADDRESS=//


